hi.

i just bought Peugeot 208 allure (2015)

and it has

SMEG5.2.A.R9
CD: 26028
DATED: 03-09-14

It is really old. what do you suggest 5.41.B.R4 or new 5.42.B.R4 firmware? I dont want to have radio FM problems with mono sound. Does radio work normally with 5.41.B.R4 or do you suggest any earlier version?

Is there any look change (theme) between my current smeg5.2.A.R9 and these two versions?
I think I already figure it our mirror screening wont work. but correct me if I m wrong.

Can I upgrade these versions directly from 5.2.A.R9?
thank you for your answers..